Bug 1480629 - After upgrading from 4.2 to 4.5 AWS EBS storage is not discovered
Summary: After upgrading from 4.2 to 4.5 AWS EBS storage is not discovered
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.3
Assignee: Steve Bream
QA Contact: Red Hat CloudForms Documentation
URL:
Whiteboard: ec2:ebs:upgrade
Depends On: 1471232
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-11 14:20 UTC by Satoe Imaishi
Modified: 2018-03-01 23:45 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
At current, all EBS Storage Managers are deleted from Red Hat CloudForms after migrating from Red Hat CloudForms 4.2 to Red Hat CloudForms 4.5. To resolve this issue, run the following command on the rails console: ManageIQ::Providers::CloudManager.all.each { |x| x.send(:ensure_managers); x.save!; } This action is not necessary when upgrading from Red Hat CloudForms 4.5 or later.
Clone Of: 1471232
Environment:
Last Closed: 2018-03-01 23:45:39 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-08-11 14:51:17 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/cd68df49e0dcbd7cee356e991009e4138a447fbe

commit cd68df49e0dcbd7cee356e991009e4138a447fbe
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Jul 20 20:45:23 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 11 10:48:14 2017 -0400

    Merge pull request #15620 from djberg96/prefetch_below_threshold
    
    Check for messages key in prefetch_below_threshold?
    (cherry picked from commit 6e08686bb2b11bad81778eba9fd6baa9fe69b41c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1480629

 app/models/miq_server/worker_management/dequeue.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 18 Matouš Mojžíš 2018-01-09 18:19:33 UTC
Hi,
I added ec2 provider, upgraded from 5.7.4.2 to 5.8.3.0 and I can't still see EBS Storage manager in the UI.
So this BZ is only about fixing that ERROR or also about having EBS provider in the UI?
Thanks.

Comment 19 Bronagh Sorota 2018-01-23 21:15:45 UTC
The PRs that fixed this (see https://bugzilla.redhat.com/show_bug.cgi?id=1480629#c17) cannot be backported because a migration is involved. This means when upgrading from 5.7 to 5.8 the rails command referenced above (https://bugzilla.redhat.com/show_bug.cgi?id=1480629#c16) must be executed.

Comment 25 Andrew Dahms 2018-01-28 23:17:52 UTC
Reviewed the doc text.


Note You need to log in before you can comment on or make changes to this bug.